Bug 607636 - possible updates for rhn-upgrade scenarios
Summary: possible updates for rhn-upgrade scenarios
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Martin Minar
URL:
Whiteboard: Fixed in the 5.4.0 Release - GA'd 201...
Depends On:
Blocks: sat540-upgrades
TreeView+ depends on / blocked
 
Reported: 2010-06-24 13:56 UTC by Milan Zázrivec
Modified: 2016-07-04 00:55 UTC (History)
5 users (show)

Fixed In Version: rhn-upgrade-5.4.0.5-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 15:02:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Milan Zázrivec 2010-06-24 13:56:08 UTC
Description of problem:
These are some observations made by Alfredo Moralejo when upgrading
Satellite 4.1 to 5.3 with migration of OS from 4.7 to 5.5, including
using a different DNS name, a dns alias:

* As the new server will use a new DNS, a new SSL certificate will be
build. Because of this reason step 10 of README file (Update SSL build
directory to RHN 5.1 format and standards) is not required and has not
been performed.

* In Step 7 of rhn-satellite-5-upgrade-scenario-1a.txt file (Restore
/var/satellite, /var/www/html/pub, /root/ssl-build, and
/etc/tnsnames.ora to the new server), don't copy /root/ssl-build and be
carefull with /var/www/html/pub, do not overwrite files related with SSL
certificates.

* Don't install package
/root/ssl-build/<MACHINE_NAME>/rhn-httpd-ssl-key-pair-<VERSION>.noarch.rp 
as said in step 7.

* In step 8, before starting datafiles upgrade to Oracle 10gR2, check
that you some free space in datafiles. In my case, it becames full and I
had to start the database restore from the scratch.

* It's very important to add the new certificate to de database, as
stated in step 17.

* Additional step 1: remove the old SSL certificate from database. From
the web interface in Systems ->  Kickstart ->  GPG and SSL Keys, search
the certificate for the former satellite and remove it.

* Additional step 2: for each kickstart profile, the new certificate
must be added and the old one has to be removed. This must be done from
the web interface, Systems ->  Kickstart ->  Profiles. Select each
profile, go to System details ->  GPL&  SSL, select the right
certificates (RHN-ORG-TRUSTED-SSL-CERT) must always be checked, and
click on “Update Keys” button.

* Additional step 3: clients registered in the former satellite must be
reconfigured to use the new one (/etc/sysconfig/rhn/up2date).
Additionally the new SSL certificate must be deployed and osad installed.

* Additional step 4: installation process has set hostname instead of
the dns alias for some cobbler parameters. Although this works properly,
it may cause problems in case of migration to a different server or DR.
To fix it following parameters have been modified manually:
   In /etc/cobbler/settings:
         redhat_management_server: "dns_alias"
   In /etc/rhn/rhn.conf:
         cobbler.host = dns_alias


Version-Release number of selected component (if applicable):
Satellite 5.3.0

Expected results:
It would be good to include the observations mentioned above (or some of them)
in upgrade documentation for next major Satellite release.

Comment 1 Milan Zázrivec 2010-09-23 13:09:35 UTC
Instructions for satellite renames have been added to the upgrade
instructions (satellite-and-os-upgrade.txt).

From now on, it is possible to restore the data from the old Satellite
on a machine with a new hostname.

satellite.git master: da176fc39c3bc532ce3a93f367838c95e16f2482

Comment 2 Michael Mráka 2010-10-06 08:12:00 UTC
Verified. rhn-upgrade-5.4.0.7-1

* SSL cert instruction has been modified,
* there's a warning about free space in db.

Comment 3 Clifford Perry 2010-10-28 15:02:52 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.